> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Helm Release Detail Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}:
    get:
      tags:
        - Kubernetes API
      summary: Get Helm Release Detail Endpoint
      operationId: >-
        get_helm_release_detail_endpoint_api_v1_clusters__cluster_id__kubernetes_helm_releases__namespace___name__get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: namespace
          required: true
          schema:
            maxLength: 253
            minLength: 1
            title: Namespace
            type: string
        - in: path
          name: name
          required: true
          schema:
            maxLength: 253
            minLength: 1
            title: Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HelmReleaseDetail'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HelmReleaseDetail:
      properties:
        computed_values:
          additionalProperties: true
          title: Computed Values
          type: object
        hooks:
          items:
            additionalProperties: true
            type: object
          title: Hooks
          type: array
        manifest_resources:
          items:
            additionalProperties: true
            type: object
          title: Manifest Resources
          type: array
        metadata:
          $ref: '#/components/schemas/HelmReleaseMetadata'
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        user_values:
          additionalProperties: true
          title: User Values
          type: object
      required:
        - metadata
        - user_values
        - computed_values
        - manifest_resources
        - hooks
      title: HelmReleaseDetail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HelmReleaseMetadata:
      properties:
        app_version:
          anyOf:
            - type: string
            - type: 'null'
          title: App Version
        chart:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart
        chart_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Version
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        first_deployed:
          anyOf:
            - type: string
            - type: 'null'
          title: First Deployed
        last_deployed:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Deployed
        name:
          title: Name
          type: string
        namespace:
          title: Namespace
          type: string
        revision:
          title: Revision
          type: integer
        status:
          title: Status
          type: string
      required:
        - name
        - namespace
        - revision
        - status
      title: HelmReleaseMetadata
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````